/* fits.h */
/* define variables used in FITS header */
/* also declined in fitsvar.h as external variables */
/* 93/01/13 I.Yamamura */
/* 93/04/14 add "size" in struct fits_header */
/* 93/06/12 renamed as imfits.h */
/*          extention of PTYPE/PSCLE strucuture */
/*             (GREISEN&HARTEN A&A.SUPPL.44,371) */
/* 94/04/14 add "blank" */
/* 95/03/10 extended to treat UV data */

typedef struct p_struct_type {
   char type[9];
   double scal;
   double zero;
} p_struct;

typedef struct {        /* define fits_header */
   int      simple;     /* T / F */
   int      bitpix;
   int      naxis;
   int      naxis1;
   int      naxis2;
   int      naxis3;
   int      naxis4;
   int      naxis5;
   int      naxis6;
   int      extend;     /* T / F */
   int      blocked;    /* T / F */
   char     object[9];
   char     telescop[9];
   char     instrume[9];
   char     observer[9];
   char     origin[9];
   char     date_obs[9];
   char     date_map[9];
   double   bscale;
   double   bzero;
   char     bunit[9];
   double   epoch;
   int      blank;
   int      velref;
   double   altrval;
   double   altrpix;
   double   obsra;
   double   obsdec;
   double   restfreq;
   double   yshift;
   double   datamax;
   double   datamin;

   char     ctype1[9];
   double   crval1;
   double   cdelt1;
   double   crpix1;
   double   crota1;
   
   char     ctype2[9];
   double   crval2;
   double   cdelt2;
   double   crpix2;
   double   crota2;
   
   char     ctype3[9];
   double   crval3;
   double   cdelt3;
   double   crpix3;
   double   crota3;
   
   char     ctype4[9];
   double   crval4;
   double   cdelt4;
   double   crpix4;
   double   crota4;

   char     ctype5[9];
   double   crval5;
   double   cdelt5;
   double   crpix5;
   double   crota5;

   char     ctype6[9];
   double   crval6;
   double   cdelt6;
   double   crpix6;
   double   crota6;

/* extention fits format */
   int      groups;     /* T / F */
   int      gcount;
   int      pcount;
   p_struct *p;

/* weight scale for UV data */
   double   wtscal;

/* following are inner valiables */
   int      size;

}  fits_header;

/* end of fits.h */
