/* const.h */

#define PI 3.14159265358979323846      /* Pi */
#define C 2.99792458E10                /* Light Speed */
#define H 6.6260755E-27                /* Plank constant */
#define BK 1.380650E-16                /* Boltzman constant */
#define WK 0.69503877E0                /* Boltzman constant in [cm-1] */
#define LN2 0.6931471806E0             /* Ln(2) */
#define PCTOCM 3.0856776E18            /* pc to cm */
#define ONE_YR 31557600.0              /* [s] one year as second */
#define SRTOAS2 4.25451703E10          /* 1sr in arcsec^2 */

#define MH2 3.346e-24                  /* [g] mass of H2 molecule */
#define ME  9.1093897e-28              /* [g] mass of electron */
#define EQ  (1.60217733e-19*C/10.0)    /* charge of electron (in CGSgauss) */

#define T0 2.735                       /* Cosmic background temperature */
#define LSUN 3.85e33                   /* [erg s-1] Solar luminosity */
#define MSUN 1.989e33                  /* [g] Solar mass */
#define TSUN 5780.0                    /* [K] Solar effective temperature */
#define RSUN 6.96e10                   /* [cm] Solar radius */


