/* matrix.h */
/* header file for matrix.c */
/* 92/11/17 new made by I.Yamamura */
/* matrix.c itself does not call this header file */
/* 93/01/09 external declinations */

/* ============================= contents ================================ */
/*       int n;                     /* matrix dimension (n x n)            */
/*       double **a, **b, **c, **e, **v, **r;   /* (n x n) 2-D matrix      */
/* ----- multiple matrix a*c=r                                             */
/*    void mul_matrix(n, a, c, r)                                          */
/* ----- make inverse matrix a(-1) = v                                     */
/* ----- return -1 if error                                                */
/*    int inverse(n, a, v)                                                 */
/* ----- renormalize vector e(ij) by Gram-Schmidt formula                  */
/*    void renormalize(n, e, r)                                            */
/* ----- utilities                                                         */
/*    void copy_matrix(n, a, b)                                            */
/*    void show_matrix(n, a)                                               */
/*    void show_vector(n, v)                                               */
/*       double *v;           /* vector                                    */
/* ----- calculate inner products of vector a and b                        */
/*    double in_product(n, a, b)                                           */
/*       double *a, *b;       /* vector                                    */
/* ----- DU decomposition matrix a                                         */
/* ----- return -1 if error                                                */
/*    int decomp(n, a, ip)                                                 */
/*       int *ip;             /* working index                             */
/* ----- estimate condition number for mattrix a                           */
/*    double EstCond(n, a)                                                 */
/* ----- solve a*b=x                                                       */
/*       int n;               /* matrix dimension (n x n)                  */
/*       double **a;          /* (n x n) matrix                            */
/*       double *b, *x;       /* vector                                    */
/*       int *ip;             /* working index                             */
/*    void solve(n, a, b, x, ip)                                           */
/* ----- just call decomp() and solve() simulteneously                     */
/*    void yLins(n, a, b, x)                                               */
/* ======================================================================= */

/* ============================== declinations =========================== */
extern void    mul_matrix();
extern int     inverse();
extern void    renormalize();
extern void    copy_matrix();
extern void    show_matrix();
extern void    show_vector();
extern double  in_product();
extern int     decomp();
extern void    solve();
extern void    yLins();
extern double  EstCond();

/* end of matrix.h */
